include ../test_defines.mk

MOCK_SRC_DIR = ../mocks
MOCK_SOURCES = $(wildcard $(MOCK_SRC_DIR)/*.c)
DUMMY_BE_SRC_DIR = ../dummy_back_end
DUMMY_BE_SOURCES = $(wildcard $(DUMMY_BE_SRC_DIR)/*.c)
COMMON_TEST_SRCDIR = $(realpath ../common)
COMMON_TEST_SOURCES = $(wildcard $(COMMON_TEST_SRCDIR)/*.c)

TARGET = run_test
SOURCES += $(wildcard ./*.c)  $(MOCK_SOURCES) $(DUMMY_BE_SOURCES) $(COMMON_TEST_SOURCES)
OBJECTS = $(addprefix $(OBJDIR)/,$(notdir $(SOURCES:.c=.o))) 

include ../test_targets.mk
